Skip to content

Purchases plans​

POST
/users/buyPlans

Purchases plans for the user, adding them to the users plan pool

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Request Body​

application/json
JSON
{
  
"currency": "string",
  
"products": {
  
  
"additionalProperties": 0
  
}
}

Request example

Responses​

OK

application/json
JSON
{
}
Try this endpoint

Playground​

Authorization
Body

OpenAPI definition ​

References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).

View endpoint OpenAPI definition
yaml
info:
  title: Lightbug API
  version: '2'
externalDocs:
  description: ''
  url: ''
openapi: 3.1.0
servers:
  - url: https://api.lightbug.cloud/v2
security:
  - ApiKeyAuth: []
tags: []
paths:
  /users/buyPlans:
    post:
      description: Purchases plans for the user, adding them to the users plan pool
requestBody:
yaml
        content:
          application/json:
            schema:
              properties:
                currency:
                  description: Currency to charge in (gbp, usd, eur)
                  enum:
                    - usd
                    - eur
                    - gbp
                  type: string
                products:
                  additionalProperties:
                    type: integer
                  description: Map of SKUs to quantity to add to the checkout
                  example:
                    SKU-1: 1
                    SKU-2: 7
                  type: object
              required:
                - currency
                - products
              type: object
        description: Request
        required: true
yaml
      responses:
'200':
yaml
          content:
            application/json:
              schema:
                type: object
          description: OK
'400':
yaml
          content:
            application/json:
              schema:
                properties:
                  code:
                    example: 400
                    type: integer
                  message:
                    example: status bad request
                    type: string
                type: object
          description: Bad Request
'401':
yaml
          content:
            application/json:
              schema:
                properties:
                  code:
                    example: 400
                    type: integer
                  message:
                    example: status bad request
                    type: string
                type: object
          description: Unauthorized
'429':
yaml
          content:
            application/json:
              schema:
                type: string
          description: Limit exceeded
          headers:
            X-Ratelimit-Limit:
              schema:
                type: integer
            X-Ratelimit-Remaining:
              schema:
                type: integer
            X-Ratelimit-Reset:
              schema:
                type: integer
yaml
      security:
        - ApiKeyAuth: []
      summary: Purchases plans
      tags:
        - plans
      operationId: post-users-buyPlans
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey
      description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
      example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...